Subject: [bug#49654] [PATCH] doc: Add full disc encryption guide to the cookbook

From: [email-masked]
Date: Thu, 12 Aug 2021 01:48:54 +0000

August 11, 2021 10:17 AM, "Ludovic Courtès" <[email-masked]> wrote:

> Hi Joshua and all,
> 
> [email-masked] skribis:
> 
>> July 21, 2021 6:50 PM, "Sarah Morgensen" <[email-masked]> wrote:
>> 
>>> Hello Joshua, Raghav,
>>> 
>>> Good to see more guides like this. In addition to what others have
>>> already pointed out, I've got few readability suggestions, reading this as a
>>> layperson :) (Questions are intentended to be rhetorical, to illustrate
>>> where a layperson might have questions or be confused.)
>> 
>> Thanks so much for you proof-reading! I'll update and push a new patch!
>> 
>>> Also, consider referencing relevant sections of the manual, such as
>>> 
>>> https://guix.gnu.org/manual/en/html_node/Manual-Installation.html
>>> 
>>> so users know where to find more detailed information.
>> 
>> That is an awesome idea! I will do so!
> 
> My main question would be: what do you think is not covered in the
> “Manual Installation” section?
> 
> That section covers full disk encryption and other things you propose,
> such as partitioning, downloading the ISO, authenticating it, changing
> the keyboard layout, etc.

I think that libreboot does not currently support the latest version of
encryption...or only supports LVM v1....something like that.  Perhaps those
"libreboot specific encryption commands" need not be in the official manual?

> 
> From a maintenance perspective, it does not seem reasonable to maintain
> to similar pieces of documentation on these matters. From a user
> perspective, it could be confusing or downright deceiving if one of
> these two documents is out of date or erroneous.

I'm game for that.  I personally find the "Manual Installation" section 
slightly too terse...I've successfully installed guix encrypted before,
but I had to use the graphical installation.  I have a hard time 
comprehending how to manually install an encrypted guix, but I also just
have a very hard time understanding new guix things too.  :)

Perhaps, if the manual does not have it, we could provide an example 
config of an encrypted /home ?  I feel like the majority of guix users
do not use libreboot, so a encrypted / is not an option for most of them.

> 
> All in all, for the topic we’re discussing, I’d suggest consolidating
> existing material instead of writing new material.
> 
> WDYT?
> 
> Thanks,
> Ludo’.